#include <iostream>

int main()
{
    int n;
    std::cin >> n;
    for (int i = 0; i < n; i++) {
        int k, m, l;
        std::cin >> k >> m >> l;
        int r = ceil((float)k / l);
        if (ceil((float)m / l) >= (r * (r + 1)) / 2) {
            std::cout << "Tak" << std::endl;
        }
        else {
            std::cout << "Nie" << std::endl;
        }
    }
}